extends Node3D

var positions = [Vector3(0,0,0), Vector3(600,0,600)]
var position_idx = 0

func _ready() -> void:
	update_position()

func _physics_process(delta: float) -> void:
	if Input.is_action_just_pressed("reposition"):
		position_idx += 1
		position_idx %= len(positions)
		update_position()

func update_position() -> void:
	global_position = positions[position_idx]
	$CanvasLayer/Label.text = 'Root position: ' + str(global_position) + '. Press TAB to cycle. Press SPACE to jump.'
